#language: ru

@mutual_settlements

Функционал: 004. mutual_settlements. Создание корректировок реализаций товаров

Сценарий: 004.1. mutual_settlements. Создание корректировки на реализацию в точку доставки Перекресток

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.004. Взаиморасчеты"
	Дано я удаляю объекты "Документы.КорректировкаРеализации" без контроля ссылок
	И Я начинаю создавать корректировку на основании реализации товаров "РеализацияПерекрестокВзаиморасчеты"
	И в поле с именем 'Дата' я ввожу текст '19.03.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'КорректировкаРеализацииПерекрестокВзаиморасчеты'
	И Я корректирую количество на "50,000" для номенклатуры "Молоко 3,2 %"
	И Я корректирую количество на "200,000" для номенклатуры "Кефир"
	* Проверка товаров
		Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                   | 'Вес, кг' |
		| '50,000'     | 'Молоко 3,2 %' | 'шт'  | '20%'   | '65,00'                | '<не используются>' | '3 250,00'   | '000001 до 31.03.2021 0:00:00' | '50,000, шт'     | '65,00'     | '541,67'   | '3 250,00'   | 'Склад готовой продукции' | '50'      |
		| '200,000'    | 'Кефир'        | 'шт'  | '20%'   | '75,00'                | '<не используются>' | '15 000,00'  | '000001 до 31.03.2021 0:00:00' | '200,000, шт'    | '75,00'     | '2 500,00' | '15 000,00'  | 'Склад готовой продукции' | '200'     |
		| '100,000'    | 'Творог'       | 'шт'  | '20%'   | '100,00'               | '<не используются>' | '10 000,00'  | '000001 до 31.03.2021 0:00:00' | '100,000, шт'    | '100,00'    | '1 666,67' | '10 000,00'  | 'Склад готовой продукции' | '100'     |
	И я перехожу к закладке с именем "СтраницаРасхождения"
	И в таблице "Расхождения" я нажимаю на кнопку с именем 'РасхожденияЗаполнитьРасхождения'
	* Проверка расхождений
		Тогда таблица "Расхождения" стала равной:
		| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Серия'                        | 'В ед. хранения' | 'Цена' | 'Сумма'     | 'Сумма НДС' | 'Всего'     | 'Склад'                   | 'Вес, кг' |
		| '-50,000'    | 'Молоко 3,2 %' | 'шт'  | '20%'   | ''                     | '<не используются>' | '000001 до 31.03.2021 0:00:00' | '-50,000, шт'    | ''     | '-3 250,00' | '-541,66'   | '-3 250,00' | 'Склад готовой продукции' | '-50'     |
		| '50,000'     | 'Кефир'        | 'шт'  | '20%'   | ''                     | '<не используются>' | '000001 до 31.03.2021 0:00:00' | '50,000, шт'     | ''     | '3 750,00'  | '625,00'    | '3 750,00'  | 'Склад готовой продукции' | '50'      |
	* Проверка графика оплаты
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Корректировка реализации товаров * от *'
		И элемент формы с именем "ПорядокРасчетов" стал равен 'По соглашениям'
		И элемент формы с именем "ФормаОплаты" стал равен 'Любая'
		И элемент формы с именем "ГрафикОплаты" стал равен 'Перекресток'
		И элемент формы с именем "ВалютаВзаиморасчетов" стал равен 'RUB'
		И таблица "ЭтапыГрафикаОплаты" стала равной:
			| 'Группа' | '% платежа' | 'Вариант оплаты' | 'Дата платежа' | 'Сумма платежа' |
			| 'Молоко' | '20%'       | 'Предоплата'     | '19.03.2021'   | '-650,00'       |
			| 'Молоко' | '80%'       | 'Кредит'         | '25.03.2021'   | '-2 600,00'     |
			| ''       | '40%'       | 'Предоплата'     | '21.03.2021'   | '1 500,00'      |
			| ''       | '60%'       | 'Кредит'         | '22.03.2021'   | '2 250,00'      |
	И Я заканчиваю создание корректировки на основании реализации товаров

Сценарий: 004.1. mutual_settlements. Проверка движений корректировки на реализацию в точку доставки Перекресток

	И Я проверяю движения корректировки реализации товаров "КорректировкаРеализацииПерекрестокВзаиморасчеты"